package com.ruoyi.algorithm.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 算法场景对象 algorithm_scene_base
 * 
 * @author ruoyi
 * @date 2023-04-26
 */
public class AlgorithmSceneBase extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 场景名 */
    @Excel(name = "场景名")
    private String sceneName;

    /** 算法id */
    @Excel(name = "算法id")
    private Long algorithmId;

    /** 处理的预警类型 */
    @Excel(name = "处理的预警类型")
    private String alarmTypes;

    /** 每秒帧数（ai算法启动参数） */
    @Excel(name = "每秒帧数", readConverterExp = "a=i算法启动参数")
    private Long frameSecond;

    /** 摄像头id列表 */
    @Excel(name = "摄像头id列表")
    private String cameraIdList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSceneName(String sceneName) 
    {
        this.sceneName = sceneName;
    }

    public String getSceneName() 
    {
        return sceneName;
    }
    public void setAlgorithmId(Long algorithmId) 
    {
        this.algorithmId = algorithmId;
    }

    public Long getAlgorithmId() 
    {
        return algorithmId;
    }
    public void setAlarmTypes(String alarmTypes) 
    {
        this.alarmTypes = alarmTypes;
    }

    public String getAlarmTypes() 
    {
        return alarmTypes;
    }
    public void setFrameSecond(Long frameSecond) 
    {
        this.frameSecond = frameSecond;
    }

    public Long getFrameSecond() 
    {
        return frameSecond;
    }
    public void setCameraIdList(String cameraIdList) 
    {
        this.cameraIdList = cameraIdList;
    }

    public String getCameraIdList() 
    {
        return cameraIdList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sceneName", getSceneName())
            .append("algorithmId", getAlgorithmId())
            .append("alarmTypes", getAlarmTypes())
            .append("frameSecond", getFrameSecond())
            .append("cameraIdList", getCameraIdList())
            .toString();
    }
}
